#include <bits/stdc++.h>

using namespace std;

bool opadajuci=true;
bool imajednakih=false;
bool menjaj=true;
bool uzmig=true;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    string s = "";
    int n,g=0;
    char a;

    cin >> n;

    for(int i=0; i<n; i++)
    {
        cin >> a;

        s+=a;

        if(i>0)
        {
            if(s[i]>s[i-1])
            {
                opadajuci=false;
                if(uzmig)
                {
                    g=i;
                    uzmig=false;
                }
                if(s[i]>=s[g])
                {
                    g=i;
                }
            }
            else if(s[i]==s[i-1])
            {
                imajednakih=true;
            }

        }
    }
    if(opadajuci && !imajednakih)
    {
        swap(s[n-1],s[n-2]);

        for(int i=0; i<n; i++)
        {
            cout << s[i] << " ";
        }

        return 0;
    }
    else if(opadajuci)
    {
        for(int i=0; i<n; i++)
        {
            cout << s[i] << " ";
        }

        return 0;
    }
    else
    {
        for(int i=0; i<n; i++)
        {
            if(menjaj && s[i]<s[g])
            {
                swap(s[i],s[g]);
                menjaj=false;
            }

            cout << s[i] << " ";
        }
    }
    return 0;
}